import { Component, OnInit } from '@angular/core';
import { ApiProductService } from '../../../services/api-product.service';
import { NzMessageService } from 'ng-zorro-antd';


@Component({
  selector: 'app-jianniu-list',
  templateUrl: './jianniu-list.component.html',
  styleUrls: ['./jianniu-list.component.scss']
})
export class JianniuListComponent implements OnInit {

  total: number; // 总计
  loading = true;
  requestData = []; // 列表数据
  pageNum = 1; // 页码
  pageSize = 10; // 条码

  constructor(
    private apiProduct: ApiProductService,
    private message: NzMessageService,
  ) { }

  ngOnInit() {
    this.getRequest();
  }
  

  // 查询列表
  public getRequest() {
    this.apiProduct.jNiuGoodsList( data => {
      this.loading = false;
      if (data['return_code'] === '000000') {
        this.requestData = data['return_data'];
        this.total = data['return_data'].length;
      } else {
        this.message.error(data['return_msg']);
      }
    });
  }

}
