import { Component, OnInit } from '@angular/core';

import { CouponService } from '../../../services/coupon.service';
import {CommonsService} from '../../../services/commons.service';
import { FormBuilder, FormGroup } from '@angular/forms';
import {NzMessageService} from 'ng-zorro-antd';
@Component({
  selector: 'app-blx-coupon',
  templateUrl: './blx-coupon.component.html',
  styleUrls: ['./blx-coupon.component.scss']
})
export class BlxCouponComponent implements OnInit {
  searchForm: FormGroup; // 搜索框
  requestData = []; // 列表数据
  total: number = 0; // 总计条数
  pageNum = 1; // 页码
  pageSize = 10; // 条码
  loading = false;
 
  constructor(
    private form: FormBuilder,
    private coupon: CouponService,
    private message: NzMessageService,
  ) { }

  ngOnInit() {
    this.searchForm = this.form.group({
      // merchantId: [null],
      // couponName: [null],
      // couponType: [null],
      // goodsTypeId: [null],
      // brandId: [null],
      // displayArea: [null],
      // status: [null],
  });
    this.getRequest(true,this.searchForm.value)
  }


  // 查询列表
  public getRequest(reset: boolean = false, whereObject: object) {

    this.loading = true;
    if (reset) {
        this.pageNum = 1;
    }
    whereObject['pageNum'] = this.pageNum;
    whereObject['pageSize'] = this.pageSize;
    this.coupon.getBlxCouponList(whereObject, data => {
      this.loading = false;
        if (data['return_code'] === '000000') {
            this.requestData = data['return_data'].list;
            this.total = data['return_data'].total;
        } else {
            this.message.error(data['return_msg']);
        }
    });

}

}
