import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { CouponRoutingModule } from './coupon-routing.module';
import { CouponListComponent } from './coupon-list/coupon-list.component';
import { CouponEditComponent } from './coupon-edit/coupon-edit.component';
import { CouponDetailComponent } from './coupon-detail/coupon-detail.component';
import {NgZorroAntdModule} from 'ng-zorro-antd';
import {SeparateModule} from '../../common/separate/separate.module';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {BreadcrumbModule} from '../../common/breadcrumb/breadcrumb.module';
import {RichtextModule} from '../../common/richtext/richtext.module';
import {AppCommonModule} from '../../app-common.module';
import { SalesCodeListComponent } from './sales-code-list/sales-code-list.component';
import { BlxCouponComponent } from './blx-coupon/blx-coupon.component';
import { PrinterListComponent } from './printer-list/printer-list.component';

@NgModule({
    declarations: [CouponListComponent, CouponEditComponent, CouponDetailComponent, SalesCodeListComponent,
        BlxCouponComponent,
        PrinterListComponent],
    imports: [
        CommonModule,
        CouponRoutingModule,
        NgZorroAntdModule,
        SeparateModule,
        ReactiveFormsModule,
        FormsModule,
        BreadcrumbModule,
        RichtextModule,
        AppCommonModule
    ]
})
export class CouponModule { }
