import { Component, OnInit } from '@angular/core';
import {FormBuilder, FormGroup} from "@angular/forms";
import {CouponService} from "../../../services/coupon.service";
import {NzMessageService} from "ng-zorro-antd";

@Component({
  selector: 'app-printer-list',
  templateUrl: './printer-list.component.html',
  styleUrls: ['./printer-list.component.scss']
})
export class PrinterListComponent implements OnInit {
  searchForm: FormGroup; // 搜索框
  requestData = []; // 列表数据
  total: number = 0; // 总计条数
  loading = false;

  constructor(
      private form: FormBuilder,
      private coupon: CouponService,
      private message: NzMessageService,
  ) { }

  ngOnInit() {
    this.searchForm = this.form.group({
      type: [1],
    });
    this.getRequest(this.searchForm.value)
  }

  public resetForm(): void {
    this.searchForm.reset();
  }
  // 查询列表
  public getRequest(whereObject: object) {

    this.loading = true;

    this.coupon.synCouponRule( whereObject , data => {
      this.loading = false;
      if (data['return_code'] === '000000') {
        this.requestData = data['return_data'];
        this.total = data['return_data'].size;
      } else {
        this.message.error(data['return_msg']);
      }
    });

  }

}
