import { Component, OnInit } from '@angular/core';


import {environment} from '../../../../environments/environment';
import {CompanyService} from '../../../services/company.service';
import {LocalStorageService} from '../../../services/local-storage.service';
import {ADMIN_INFO_OBJECT} from '../../../services/local-storage.namespace';
import {CommonsService} from '../../../services/commons.service';
import {OrderMobileRechargeService} from '../../../services/order/order-mobile-recharge.service';
import {FormBuilder, FormGroup} from '@angular/forms';
import {NzMessageService, NzNotificationService} from 'ng-zorro-antd';

import {animate, state, style, transition, trigger} from '@angular/animations';
import { OrderService } from 'src/app/services/order.service';

@Component({
  selector: 'app-give-coupons',
  templateUrl: './give-coupons.component.html',
  styleUrls: ['./give-coupons.component.scss']
})
export class GiveCouponsComponent implements OnInit {

   // 搜索框
   searchForm: FormGroup;
  
   // 列表相关参数
   // 总条数
   total: number;
   // 页码
   pageNum = 1;
   // 条码
   pageSize = 10;
   // 列表数据
   requestData = [];
   // 列表加载
   loading = true;

    // 数据加载中参数
    loadingObject = {
        title: '加载中...',
        status: false,
    };
  
 
 
   
  
   constructor(
       private form: FormBuilder,
       private store: LocalStorageService,
       private message: NzMessageService,
       private orderMobileRechargeService: OrderMobileRechargeService,
       private orderService: OrderService,
       private commonsService: CommonsService,
       private notification: NzNotificationService,
   ) { }

   ngOnInit(): void {
       // 搜索表单初始化
       this.searchForm = this.form.group({
        discountName: [null],
        status: [null],
       });
       
       // 查询代理商赠送优惠券
       this.getRequest(true, this.searchForm.value);
   }

   // 查询列表
   public getRequest(reset: boolean = false, whereObject: object) {
       this.loading = true;
       if (reset) {
           this.pageNum = 1;
       }
       whereObject['pageNum'] = this.pageNum;
       whereObject['pageSize'] = this.pageSize;
       
       this.orderService.getAgentDiscountList(whereObject, data => {
           this.loading = false;
           if (data['return_code'] === '000000') {
               this.requestData = data['return_data'].list;
               this.total = data['return_data'].total;
           } else {
               this.message.error(data['return_msg']);
           }
       });
   }


}
