import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import {OrderOilListComponent} from './order-oil/order-oil-list/order-oil-list.component';
import {OrderCouponListComponent} from './order-coupon/order-coupon-list/order-coupon-list.component';
import {OrderIntegralRechargeComponent} from './order-integral-recharge/order-integral-recharge.component';
import {OrderRefundListComponent} from './order-refund-list/order-refund-list.component';
import {KfcOrderListComponent} from './kfc-order/kfc-order-list/kfc-order-list.component';
import {StarbucksOrderListComponent} from './starbucks-order/starbucks-order-list/starbucks-order-list.component';
import {MemberChargeOrderListComponent} from './member-charge-order/member-charge-order-list/member-charge-order-list.component';
import {DiscountUseConditionListComponent} from './discount-use-condition-list/discount-use-condition-list.component';
import {DicountPackageOrderListComponent} from './dicount-package-order-list/dicount-package-order-list.component';
import {PreOrderComponent} from './pre-order/pre-order.component';
import {MobileRechargeOrderListComponent} from './mobile-recharge-order-list/mobile-recharge-order-list.component';
import {HltChargeOrderComponent} from './hlt-charge-order/hlt-charge-order.component';
import {GoodsOrderComponent} from './goods-order/goods-order.component';
import {GoodsChildOrderComponent} from './goods-child-order/goods-child-order.component';
import {OrderOilCardComponent} from './order-oil-card/order-oil-card.component';
import {ApiMerOrderListComponent} from './api-mer-order-list/api-mer-order-list.component';
import {GiveCouponsComponent} from './give-coupons/give-coupons.component';


const routes: Routes = [
  { path: 'order-oil-list', component: OrderOilListComponent },
  { path: 'order-coupon-list', component: OrderCouponListComponent },
  { path: 'order-integral-recharge-list', component: OrderIntegralRechargeComponent },
  { path: 'order-refund-list', component: OrderRefundListComponent },
  { path: 'order-kfc-list', component: KfcOrderListComponent},
  { path: 'order-starbucks-list', component: StarbucksOrderListComponent},
  { path: 'order-member-charge-list', component: MemberChargeOrderListComponent},
  { path: 'mobile-recharge-order-list', component: MobileRechargeOrderListComponent },
  { path: 'pre-order', component: PreOrderComponent },
  { path: 'discount-use-condition-list', component: DiscountUseConditionListComponent },
  { path: 'discount-package-order-list', component: DicountPackageOrderListComponent},
  { path: 'hlt-order-list', component: HltChargeOrderComponent},
  { path: 'goods-order', component: GoodsOrderComponent},
  { path: 'goods-child-order', component: GoodsChildOrderComponent},
  { path: 'order-oil-card', component: OrderOilCardComponent},
  { path: 'api-mer-order', component: ApiMerOrderListComponent},
  { path:'give-coupons', component: GiveCouponsComponent}
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class OrderManageRoutingModule { }
