
import {
    FormsModule,
    ReactiveFormsModule,
} from '@angular/forms';

import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {NgZorroAntdModule} from 'ng-zorro-antd';
import {NgxNeditorModule} from '@notadd/ngx-neditor';

// 管道
import {
    TimesPipe,
    TextareaPipe,
    SystemPipe,
    CouponStatusPipe,
    CouponCodePipe,
    AuditTypePipe,
    AuditStatusPipe,
    PaymodelPipe,
    PaytypePipe,
    DiscountTypePipe,
    OrderCouponStatusPipe,
    DiscountStatusPipe,
    DisplayAreaPipe,
    DiscountCodeStatusPipe,
    DiscountCodeStatusPipe2,
    PhoneTranslate,
    RechargePricePipe,
    RechargeStatusPipe,
    ChannelMarkPipe,
    TypePipe,
    StatusPipe,
    RechargePayTypePipe,
    RefundSourcePipe,
    RefundStatusPipe,
    PreOrderStatusPipe,
    ButtonPipe,
    DiscountPackageStatusPipe,
    PriceShowPipe,
    ShowTypePipe,
    EnergyTypePipe,
    CompanyAmountRecordTypePipe,
    CompanyAmountRecordSourceTypePipe,
    OilCardBindStatusPipe,
    OilCardRecordTypePipe,
    OilCardRecordSourceTypePipe,
    RechargePlatformPipe,
    PriceStatusPipe,
    GasStaffStatusPipe,
    ChlidRechargeStatusPipe,
    SourceTypePipe,
    GasClassGroupTaskStatusPipe,
    GasOrderStatusPipe,
    OrderStatusPipe,
    OrderPayTypePipe,
    OrderChildGoodsTypePipe,
    OrderRefundStatusPipe,
    OilCardStatusPipe,
    OrderOilStatusPipe,
    PlatformPipe,
    OilTypePipe,
    OilPriceTaskStatusPipe,
    OilPriceTaskExecutionTypePipe,
    OilPriceTaskPriceTypePipe,
    IntegralTypePipe,
    IntegralProductPipe,
    ProductTypePipe,
    OrderRefundOpuserTypePipe,
    OrderChildStatusPipe,
    PayStatusPipe,
    CallbackStatusPipe,
    ProductConfigPipe,
    PayCouponStatusPipe,
    OrderOilChannelTypePipe,
    VerifyProductTypePipe,
    BlxCouponStatusPipe,
    ReceiveTypePipe,
    
} from './pipes';
import {MsgTypePipe} from './pipes/msg/msg-type.pipe';
import { OrderProductTypePipe } from './pipes/order/order-product-type.pipe';
import { LogisticsStatusPipe } from './pipes/goods/logistics-status.pipe';
import { GoodsStatusPipe } from './pipes/goods/goods-status.pipe';
import { ScPrinterPipe } from './pipes/api-coupon/sc-printer.pipe';



const PIPES = [
    TimesPipe,
    TextareaPipe,
    SystemPipe,
    CouponStatusPipe,
    CouponCodePipe,
    AuditTypePipe,
    AuditStatusPipe,
    OrderCouponStatusPipe,
    PaymodelPipe,
    PaytypePipe,
    DiscountTypePipe,
    DiscountStatusPipe,
    DisplayAreaPipe,
    DiscountCodeStatusPipe,
    DiscountCodeStatusPipe2,
    PhoneTranslate,
    RechargePricePipe,
    RechargeStatusPipe,
    ChannelMarkPipe,
    ChannelMarkPipe,
    TypePipe,
    StatusPipe,
    RechargePayTypePipe,
    RefundSourcePipe,
    RefundStatusPipe,
    PreOrderStatusPipe,
    ButtonPipe,
    DiscountPackageStatusPipe,
    ShowTypePipe,
    PriceShowPipe,
    EnergyTypePipe,
    CompanyAmountRecordTypePipe,
    CompanyAmountRecordSourceTypePipe,
    OilCardStatusPipe,
    OilCardBindStatusPipe,
    OilCardRecordTypePipe,
    OilCardRecordSourceTypePipe,
    GasStaffStatusPipe,
    OilTypePipe,
    RechargePlatformPipe,
    PriceStatusPipe,
    OilPriceTaskStatusPipe,
    OilPriceTaskExecutionTypePipe,
    OilPriceTaskPriceTypePipe,
    ChlidRechargeStatusPipe,
    SourceTypePipe,
    GasClassGroupTaskStatusPipe,
    GasOrderStatusPipe,
    PlatformPipe,
    OrderOilStatusPipe,
    OrderStatusPipe,
    OrderPayTypePipe,
    OrderChildGoodsTypePipe,
    OrderRefundStatusPipe,
    OrderRefundOpuserTypePipe,
    OrderChildStatusPipe,
    IntegralTypePipe,
    IntegralProductPipe,
    MsgTypePipe,
    ProductConfigPipe,
    CallbackStatusPipe,
    PayStatusPipe,
    PayCouponStatusPipe,
    IntegralTypePipe,
    IntegralProductPipe,
    ProductTypePipe,
    MsgTypePipe,
    OrderOilChannelTypePipe,
    VerifyProductTypePipe,
    BlxCouponStatusPipe,
    ReceiveTypePipe,
    LogisticsStatusPipe,
    OrderProductTypePipe,
    GoodsStatusPipe,
    ScPrinterPipe,
];


@NgModule({
    imports: [
        CommonModule,
        FormsModule,
        ReactiveFormsModule,
        NgZorroAntdModule,
        NgxNeditorModule
    ],
    declarations: [
        ...PIPES,

    ],

    exports: [
        ...PIPES,


    ],
})

export class AppCommonModule {
    static forRoot() {
        return {
            ngModule: AppCommonModule,
            providers: [],
        };
    }
}

